package com.dayorganiser.jgantt.drawing;

import com.dayorganiser.jgantt.drawing.scheme.Scheme;

import com.dayorganiser.jgantt.drawing.scheme.range.SchemeRange;

import java.awt.Color;

import java.util.Map;

/** Proxies are the formatting options that are given to the plotter */
public interface Proxy
{
	/** returns the drawing level at which to plot this i.e. [0..n] 0 being first */
	//	int getLevel(Object key);

	//___________________________________________________________________________

	SchemeRange getRange(Object key, String type);

	//___________________________________________________________________________

	/** scheme is available as a seperate object so that users may type cast
		in there Entry */
	Map getAttributes(Object key);

	//___________________________________________________________________________

	Scheme getScheme(Object schemeID);
}