package com.dayorganiser.jgantt.model.axis.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;

import com.dayorganiser.jgantt.model.Axis;

/** Will zoom in to the appropriate zoom level */
public class ZoomAction extends AbstractAction
{
	protected Axis axis;
	protected int step;

	public ZoomAction(String name, Icon icon, int step, Axis axis)
	{
		super(name, icon);
		this.axis = axis;
		this.step = step;
	}

	public void actionPerformed(ActionEvent event)
	{
	   axis.zoom(step);
	}
}