package com.dayorganiser.util;

import java.util.Calendar;

public class FloatInterval implements Interval
{
	protected float start;
	protected float finish;

	public FloatInterval(float start, float finish)
	{
		this.start = start;
		this.finish = finish;
	}
	//___________________________________________________________________________

	public Object getStart()
	{
		return new Float(start);
	}

	public Object getFinish()
	{
		return new Float(finish);
	}

	public Object getRange()
	{
		return new Float(finish - start);
	}

	//___________________________________________________________________________

	public boolean contains(Interval interval)
	{
		return true;
	}

	/** has to be this way as Interval is also an object */
	public boolean containsValue(Object o)
	{
		return true;
	}

	public boolean intersects(Interval interval)
	{
		return true;
	}
}
