package com.dayorganiser.jgantt.drawing;

import com.dayorganiser.jgantt.drawing.Plotter;
import com.dayorganiser.jgantt.drawing.Proxy;

import com.dayorganiser.jgantt.model.Axis;
import com.dayorganiser.jgantt.model.DrawingModel;

import java.awt.Point;

public interface Drawing
{
	void initialise();

	void terminate();

	//___________________________________________________________________________

	void addAxis(Object key, Axis axis);

	void addPlotter(Object key, Plotter plotter);

	void addProxy(Object key, Proxy proxy);

	//___________________________________________________________________________

	Axis getAxis(Object key);

//	Plotter getPlotter(Object key);

//	Proxy getProxy(Object key);

	DrawingModel getDrawingModel();

	void setDrawingModel(DrawingModel drawingModel);

	//___________________________________________________________________________

	/** this can only return you an entry key */
	public Object getKeyAt(Point point, boolean returnParent);

}
