package com.dayorganiser.jgantt.drawing.plotter.entry;

import com.dayorganiser.jgantt.drawing.Proxy;

import com.dayorganiser.jgantt.drawing.plotter.AbstractPlotter;

import java.awt.Graphics;
import java.awt.Rectangle;

import java.util.Map;

public class DefaultEntry extends AbstractPlotter
{
	public Rectangle paintComponent(Object key, Graphics g, int xVis, int yVis,
		Proxy proxy, Map attribs)
	{
		setScheme(key, g, EntryConstants.BACKGROUND_SCHEME, proxy, attribs);
		Rectangle rect = g.getClipBounds();
		g.fillRect(rect.x, rect.y, rect.width, rect.height);
		return rect;
	}
}