package com.dayorganiser.util.text;

public class StringUtils
{
	public static String[] splitAt(String s, char c)
	{
		if (s == null)
			return new String[0];

		int t = 0;
		for (int i=s.length(); --i >= 0;)
		{
			if (s.charAt(i) == c)
				++t;
		}

		String[] ret = new String[t+1];
		int prev = 0;
		for (int i=0; i<t; i++)
		{
			int p = s.indexOf(c,prev);
			ret[i] = (p <= prev ? "" : s.substring(prev,p));
			prev = p+1;
		}
		ret[t] = s.substring(prev);

		return ret;
	}
}