package test.jgantt.dao;

import java.sql.DriverManager;
import java.sql.Connection;
import java.sql.SQLException;

import com.dayorganiser.util.files.Hive;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Raul Davidovich
 */

/** the connection manager has been created to ensure that we can never open
	the same connection to the same database source more than once */
public class ConnectionManager
{
	private static Map instances = new HashMap(1);

	protected Connection connection;

	public ConnectionManager() throws SQLException
	{
		String URL = null;
		DriverManager.getConnection(URL);
		try
		{/*
		   dataSource.setAutoCommit(false);
         dataSource.setDescription("My Database Connection Pool");
		   dataSource.setDriverClass("org.postgresql.Driver");
         dataSource.setMaxCount(10);
		   dataSource.setMinCount(1);
		   dataSource.setUser("myusername");
			dataSource.setPassword("mypassword");
		   dataSource.setUrl("jdbc:postgresql://myserver/mydb");
		   dataSource.setLoginTimeout(120);*/
		}
      catch(Throwable ex)
      {
		}
	}

	public static ConnectionManager getInstance(String name) throws SQLException
	{
		ConnectionManager manager = (ConnectionManager)instances.get(name);

		if (manager == null) // create if needed
		{
			manager = new ConnectionManager();
	   	instances.put(name, manager); // register the new connection manager
		}
      return manager;
    }

	public Connection getConnection() throws SQLException
	{
		return connection;
	}
}



